Bug 1395208 - [mapnik] tests failures on big endian arches
Summary: [mapnik] tests failures on big endian arches
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mapnik
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-s390x
TreeView+ depends on / blocked
 
Reported: 2016-11-15 12:12 UTC by Dan Horák
Modified: 2019-05-28 20:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:02:44 UTC
Type: Bug


Attachments (Terms of Use)
log for %check section (52.91 KB, text/plain)
2016-11-15 12:12 UTC, Dan Horák
no flags Details

Description Dan Horák 2016-11-15 12:12:52 UTC
Created attachment 1220826 [details]
log for %check section

The test suite fails on big endian arches (ppc64, s390x), see attachment for details.

for full logs please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2399021
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3874993

Version-Release number of selected component (if applicable):
mapnik-3.0.12-1.fc26


Additional info:
As visible on ppc arches, ppc64le (little endian) passes the tests, while on ppc64 (big endian) the tests fail.

Comment 1 Tom Hughes 2016-11-15 12:19:56 UTC
Yes I know, what I don't have is any way to investigate.

Comment 2 Dan Horák 2016-11-15 12:23:11 UTC
for the record - Debian has powerpc and s390x builds for mapnik 3.0, but no patches were used, so unlike they run the test-suite.

Comment 3 Dan Horák 2016-11-15 12:23:58 UTC
(In reply to Tom Hughes from comment #1)
> Yes I know, what I don't have is any way to investigate.

you mean access to hw or mapnik know-how?

Comment 4 Tom Hughes 2016-11-15 12:25:27 UTC
I have some mapnik know how, and I know upstream reasonably well anyway, but don't have access to a machine, or is there something suitable in the packager farm now?

Comment 5 Tom Hughes 2016-11-15 12:25:55 UTC
Nothing listed at https://fedoraproject.org/wiki/Test_Machine_Resources_For_Package_Maintainers that I can see.

Comment 6 Tom Hughes 2016-11-15 19:00:04 UTC
Converting this to an ExcludeArch bug as upstream has dropped big endian support (https://github.com/mapnik/mapnik/issues/2313) so I have just pushed an update to exclude these two architectures.

Comment 7 Fedora End Of Life 2017-02-28 10:37:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 Fedora End Of Life 2018-05-03 08:20:18 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-02 21:52:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-28 20:02:44 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.